MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030189Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-10-02 16:142019-02-14 12:04
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030189: Data Exchange - Wrong export to STEP of located root.
DescriptionLocated roots in XCAF Document are not exported correctly to STEP: structure, all sharings and metadata are lost.
Steps To Reproducebugs step bug30189_1, bug30189_2, bug30189_3


XOpen located_root.xbf D_old
WriteStep D_old located_root.stp
ReadStep D_new located_root.stp
(nearly all data are lost, see attached picture)
TagsNo tags attached.
Test case numberbugs/step/bug30189_1 bugs/step/bug30189_2 bugs/step/bug30189_3
Attached Filesjpg file icon export_located_root_to_STEP.jpg (103,333 bytes) 2018-10-02 16:14
? file icon located_root.xbf (19,912 bytes) 2018-10-02 16:15
? file icon bug30189.xbf (19,912 bytes) 2018-10-03 12:57

- Relationships

-  Notes
(0079618)
git (administrator)
2018-10-02 18:31

Branch CR30189 has been created by ika.

SHA-1: f5e6336d548ac06a028e75a60b05afbe40db011d


Detailed log of new commits:

Author: ika
Date: Tue Oct 2 18:29:40 2018 +0300

    0030189: Data Exchange - Wrong export to STEP of located root.
    
    Now roots-references in XCAF Document can be exported to STEP without losing structure of assembly/sharing/metadata.
(0079634)
git (administrator)
2018-10-03 11:59

Branch CR30189 has been updated forcibly by ika.

SHA-1: aef1fa6acc975e70cdc7d065ed25f606d472afae
(0079678)
ika (developer)
2018-10-04 14:21

Dear GKA,

could you please review branch CR30189?

http://occt-tests/CR30189-master-ika-OCCT/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR30189-master-ika-OCCT/Debian80-64/diff_summary.html [^]
http://occt-tests/CR30189-master-ika-Products/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR30189-master-ika-Products/Debian80-64/diff_summary.html [^]
(0079680)
git (administrator)
2018-10-04 14:48

Branch CR30189 has been updated forcibly by ika.

SHA-1: 4dab2f5e51709ead7d9371830afc8b0f4e595c6f
(0079682)
gka (developer)
2018-10-04 15:06

Branch CR30189 was reviewed
(0079691)
bugmaster (administrator)
2018-10-04 17:18

Combination -
OCCT branch : CR30189 SHA - aef1fa6acc975e70cdc7d065ed25f606d472afae
Products branch : master SHA - bdd0353fc53f9279cf9520705239af63f757c03a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17467.309999999838 / 17401.889999999843 [+0.38%]
Products
Total CPU difference: 7423.440000000067 / 7431.600000000062 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 17448.197046698537 / 17485.309684598556 [-0.21%]
Products
Total CPU difference: 8353.167145599973 / 8352.574341799986 [+0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079748)
git (administrator)
2018-10-07 12:43

Branch CR30189 has been deleted by inv.

SHA-1: 4dab2f5e51709ead7d9371830afc8b0f4e595c6f

- Related Changesets
occt: master 87efa821
Timestamp: 2018-10-02 15:29:40
Author: ika
Committer: bugmaster
Details ] Diff ]
0030189: Data Exchange - Wrong export to STEP of located root.

Now roots-references in XCAF Document can be exported to STEP without losing structure of assembly/sharing/metadata of this root. New auxiliary root assembly with each root-reference is created to save all necessary data.
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
add - tests/bugs/step/bug30189_1 Diff ] File ]
add - tests/bugs/step/bug30189_2 Diff ] File ]
add - tests/bugs/step/bug30189_3 Diff ] File ]
mod - tests/de/step_1/ZD3 Diff ] File ]
mod - tests/de/step_1/ZD4 Diff ] File ]
mod - tests/de/step_2/A1 Diff ] File ]
mod - tests/de/step_2/F2 Diff ] File ]
mod - tests/de/step_2/F3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-10-02 16:14 ika New Issue
2018-10-02 16:14 ika Assigned To => ika
2018-10-02 16:14 ika File Added: export_located_root_to_STEP.jpg
2018-10-02 16:15 ika File Added: located_root.xbf
2018-10-02 18:31 git Note Added: 0079618
2018-10-03 11:59 git Note Added: 0079634
2018-10-03 12:57 ika File Added: bug30189.xbf
2018-10-04 14:21 ika Note Added: 0079678
2018-10-04 14:21 ika Assigned To ika => gka
2018-10-04 14:21 ika Status new => resolved
2018-10-04 14:21 ika Steps to Reproduce Updated View Revisions
2018-10-04 14:48 git Note Added: 0079680
2018-10-04 15:06 gka Note Added: 0079682
2018-10-04 15:06 gka Assigned To gka => bugmaster
2018-10-04 15:06 gka Status resolved => reviewed
2018-10-04 16:53 bugmaster Test case number => bugs/step/bug30189_1 bugs/step/bug30189_2 bugs/step/bug30189_3
2018-10-04 17:18 bugmaster Note Added: 0079691
2018-10-04 17:18 bugmaster Status reviewed => tested
2018-10-06 19:15 bugmaster Changeset attached => occt master 87efa821
2018-10-06 19:15 bugmaster Status tested => verified
2018-10-06 19:15 bugmaster Resolution open => fixed
2018-10-07 12:43 git Note Added: 0079748
2019-02-14 12:04 bugmaster Project Internal => Open CASCADE


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker